__gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >(3)

NAME
__gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory > -

SYNOPSIS

  Public Types
typedef std::iterator_traits
< _Iterator1 >
::difference_type difference_type"
typedef _IteratorCategory iterator_category
typedef _IteratorTriple * pointer
typedef _IteratorTriple & reference
typedef void value_type

  Public Member Functions
_IteratorTriple (const _Iterator1 &__first, const _Iterator2 &__second, const _Iterator3 &__third)
operator _Iterator3 () const
_IteratorTriple operator+ (difference_type __delta) const
_IteratorTriple & operator++ ()
const _IteratorTriple operator++ (int)
difference_type operator- (const _IteratorTriple &__other) const
_IteratorTriple & operator-- ()
const _IteratorTriple operator-- (int)
_IteratorTriple & operator= (const _IteratorTriple &__other)

  Public Attributes
_Iterator1 _M_first
_Iterator2 _M_second
_Iterator3 _M_third

Detailed Description

  template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>class __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >
A triple of iterators. The usual iterator operations are applied to all three child iterators.

Definition at line 120 of file iterator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.